Name: xmlif
Version: 1.2
Release: 1
Summary: conditional processing instructions for XML
URL: http://www.catb.org/~esr/xmlif/
Source0: %{name}-%{version}.tar.gz
License: GPL
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-root

%description 
xmlif is a tool that interprets certain processing instructions in XML
documents to support conditional emission of specified sections of the
document.  It is intended to be used as a stage in an XML toolchain.
Note: if you have Tim Waugh's xmlto(1) installed, you already have xmlif.

%prep
%setup -q

%build
make %{?_smp_mflags} xmlif xmlif.1

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"
mkdir -p "$RPM_BUILD_ROOT"%{_bindir}
mkdir -p "$RPM_BUILD_ROOT"%{_mandir}/man1/
cp xmlif "$RPM_BUILD_ROOT"%{_bindir}
cp xmlif.1 "$RPM_BUILD_ROOT"%{_mandir}/man1/

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%doc README COPYING test.xml
%defattr(-,root,root,-)
%{_mandir}/man1/xmlif.1*
%{_bindir}/xmlif

%changelog

* Thu Nov 04 2004 Eric S. Raymond <esr@snark.thyrsus.com> 1.2
  The processing instruction xmlif uses hat to be changed because
  of a previously unspected land mine in the XML standard.

* Wed Nov 03 2004 Eric S. Raymond <esr@snark.thyrsus.com> 1.1
  Make the documentation match reality.

* Mon Dec 29 2003 Eric S. Raymond <esr@snark.thyrsus.com> 1.0
- Initial release

